Album: Revnan V.S. The Fresno Nightcrawlers
Date: October 31, 2023
Date Added: April 13, 2024
URLs:
- https://svertofficialsoundtrack.bandcamp.com/track/revnan-v-s-the-fresno-nightcrawlers
Artists:
- Gryotharian
Cover Artists:
- Gryotharian
Cover Art File Extension: png
Color: '#a4b485'
Art Tags:
- Revnan (SVERT)
Groups:
- SVERT
- Gryotharian
- Fandom
Commentary: |-
    <i>Gryotharian:</i>
    2023 Halloween Single
---
Track: Revnan V.S. The Fresno Nightcrawlers
Duration: 1:41
Referenced Tracks:
- Revnan's Theme
Sampled Tracks:
- Goosebumps Theme Song
- track:upward-movement-dave-owns
URLs:
- https://svertofficialsoundtrack.bandcamp.com/track/revnan-v-s-the-fresno-nightcrawlers
- https://youtu.be/l4hgNFgrAkY
Lyrics: |-
    Goosebumps
